# Uses of Class
org.eclipse.gef.geometry.projective.Straight3D

Packages that use Straight3D
Package
Description
org.eclipse.gef.geometry.projective
This package provides core abstractions to support calculations within 2-dimensional projective vector space.

## Uses of Straight3D in org.eclipse.gef.geometry.projective

Methods in org.eclipse.gef.geometry.projective that return Straight3D
Modifier and Type
Method
Description
`Straight3D`
Straight3D.`getOrtho()`
Returns the orthogonal `Straight3D` through this `Straight3D` 's start `Vector3D`.
`Straight3D`
Straight3D.`getOrtho(Vector3D vp)`
Returns the orthogonal `Straight3D` through the given `Vector3D`.
`static Straight3D`
Straight3D.`through(Vector3D start, Vector3D end)`
Constructs a new `Straight3D` through the given start and end `Vector3D`s.
Methods in org.eclipse.gef.geometry.projective with parameters of type Straight3D
Modifier and Type
Method
Description
`Vector3D`
Straight3D.`getIntersection(Straight3D other)`
Returns the intersection between this and the given other `Straight3D`.